%define module	MLDBM
%define version 2.01
%define release 3mdk
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>

Summary:	%{module} module for perl
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://www.cpan.org/authors/id/C/CH/CHAMAS/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Prefix: 	%{_prefix}
Requires:	perl
BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{prefix} install

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{_mandir}/*/*
%{perl_vendorlib}/MLDBM*

%changelog
* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 2.01-3mdk
- don't include perl_vendorarch dir

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.01-2mdk
- install in vendor_perl.

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.01-1mdk
- new version 2.01.
- updated Source and License.
- rebuild with new perl 5.8.0.
- remove filelist.
- macroize

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 2.00-9mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.00-8mdk
- Remove Vendor and Distribution tag.
- Rebuild for the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 2.00-7mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit
- run automated tests

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 2.00-6mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.00-5mdk
- Macroized mackage

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated. 
